Content-Type: text/html; charset=UTF-8
Last-Modified: Tue, 11 Feb 2025 15:51:48 GMT
Expires: Fri, 09 Feb 2035 15:51:48 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>Nim - This repository contains the Nim compiler, Nim's stdlib, tools, and documentation. (mirror)</title>
<meta name='generator' content='cgit 1.4.1-2-gfad0'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='alternate' title='Atom feed' href='https://git.tilde.institute/ahoang/Nim/atom/tests/compiles?h=devel' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.tilde.institute/ahoang/Nim' title='Nim Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='main'><a href='/'>index</a> : <a href='/ahoang/Nim/'>Nim</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='1182216381cdd17b75e16133ce2c79084dd3d3f9'/><select name='h' onchange='this.form.submit();'>
<option value='7dfadb8b4e95d09981fbeb01d85b12f23946c3e7'>this commit</option>
<optgroup label='branches'><option value='devel' selected='selected'>devel</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>This repository contains the Nim compiler, Nim's stdlib, tools, and documentation. (mirror)</td><td class='sub right'>ahoang &lt;ahoang@tilde.institute&gt;</td></tr></table>
<table class='tabs'><tr><td>
<a href='/ahoang/Nim/?h=devel'>summary</a> <a href='/ahoang/Nim/refs/?h=devel&amp;id=1182216381cdd17b75e16133ce2c79084dd3d3f9'>refs</a> <a href='/ahoang/Nim/log/tests/compiles?h=devel'>log</a> <a href='/ahoang/Nim/tree/tests/compiles?h=devel&amp;id=1182216381cdd17b75e16133ce2c79084dd3d3f9'>tree</a> <a href='/ahoang/Nim/commit/tests/compiles?h=devel&amp;id=1182216381cdd17b75e16133ce2c79084dd3d3f9'>commit</a> <a class='active' href='/ahoang/Nim/diff/tests/compiles?h=devel&amp;id=1182216381cdd17b75e16133ce2c79084dd3d3f9'>diff</a> <a href='/ahoang/Nim/stats/tests/compiles?h=devel'>stats</a></td><td class='form'><form class='right' method='get' action='/ahoang/Nim/log/tests/compiles'>
<input type='hidden' name='h' value='devel'/><input type='hidden' name='id' value='1182216381cdd17b75e16133ce2c79084dd3d3f9'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/ahoang/Nim/diff/?h=devel&amp;id=1182216381cdd17b75e16133ce2c79084dd3d3f9'>root</a>/<a href='/ahoang/Nim/diff/tests?h=devel&amp;id=1182216381cdd17b75e16133ce2c79084dd3d3f9'>tests</a>/<a href='/ahoang/Nim/diff/tests/compiles?h=devel&amp;id=1182216381cdd17b75e16133ce2c79084dd3d3f9'>compiles</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='h' value='devel'/><input type='hidden' name='id' value='1182216381cdd17b75e16133ce2c79084dd3d3f9'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><div class='diffstat-header'><a href='/ahoang/Nim/diff/?h=devel&amp;id=1182216381cdd17b75e16133ce2c79084dd3d3f9'>Diffstat</a> (limited to 'tests/compiles')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td><pre></pre></td></tr></table></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1-2-gfad0</a> (<a href='https://git-scm.com/'>git 2.36.2.497.gbbea4dcf42</a>) at 2025-02-11 15:51:48 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
r.yml?h=devel&amp;id=9f6f78ac6136a2d793fd20ca81e8cfaa8d1e1f28'>9f6f78ac6</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=d75760f5d3817ab8593a52be3d84ec74cc697cab'>^</a>







</pre></div><div class='alt'><pre><span class='oid'><a title='author  Eugene Kabanov &lt;ka@hardcore.kiev.ua&gt;  2017-01-29 18:35:07 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-01-29 17:35:07 +0100

Appveyor integration config (#5295)' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=9f6f78ac6136a2d793fd20ca81e8cfaa8d1e1f28'>9f6f78ac6</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=d75760f5d3817ab8593a52be3d84ec74cc697cab'>^</a>





</pre></div><div class='alt'><pre><span class='oid'><a title='author  Eugene Kabanov &lt;ka@hardcore.kiev.ua&gt;  2017-01-29 18:35:07 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-01-29 17:35:07 +0100

Appveyor integration config (#5295)' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=9f6f78ac6136a2d793fd20ca81e8cfaa8d1e1f28'>9f6f78ac6</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=d75760f5d3817ab8593a52be3d84ec74cc697cab'>^</a>


</pre></div><div class='alt'><pre><span class='oid'><a title='author  Yuriy Glukhov &lt;yuriy.glukhov@gmail.com&gt;  2018-01-03 21:47:59 +0200
committer  Yuriy Glukhov &lt;yuriy.glukhov@gmail.com&gt;  2018-01-05 16:40:51 +0200

Unify async macro and futures for js and native targets' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=c93655e8b492dacbf35e5152e716035e112c899f'>c93655e8b</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=67ac1aef594a328997fc9d3f6b36a73fc583f2ba'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-02-01 23:39:15 +0100
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-02-01 23:39:40 +0100

updated appveyor.yml' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=05fe52383235bc0f0435260ea2296182effdfd1b'>05fe52383</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=f04d21f2793933f9b9a54ef2d67dc277e53a0c67'>^</a>


</pre></div><div class='alt'><pre><span class='oid'><a title='author  Eugene Kabanov &lt;ka@hardcore.kiev.ua&gt;  2017-01-29 18:35:07 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-01-29 17:35:07 +0100

Appveyor integration config (#5295)' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=9f6f78ac6136a2d793fd20ca81e8cfaa8d1e1f28'>9f6f78ac6</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=d75760f5d3817ab8593a52be3d84ec74cc697cab'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-02-01 23:39:15 +0100
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-02-01 23:39:40 +0100

updated appveyor.yml' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=05fe52383235bc0f0435260ea2296182effdfd1b'>05fe52383</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=f04d21f2793933f9b9a54ef2d67dc277e53a0c67'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Eugene Kabanov &lt;ka@hardcore.kiev.ua&gt;  2017-01-29 18:35:07 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-01-29 17:35:07 +0100

Appveyor integration config (#5295)' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=9f6f78ac6136a2d793fd20ca81e8cfaa8d1e1f28'>9f6f78ac6</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=d75760f5d3817ab8593a52be3d84ec74cc697cab'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-02-01 23:39:15 +0100
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-02-01 23:39:40 +0100

updated appveyor.yml' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=05fe52383235bc0f0435260ea2296182effdfd1b'>05fe52383</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=f04d21f2793933f9b9a54ef2d67dc277e53a0c67'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Rokas Kupstys &lt;rokups@zoho.com&gt;  2017-02-14 16:27:09 +0200
committer  Rokas Kupstys &lt;rokups@zoho.com&gt;  2017-02-20 17:24:19 +0200

Removed fasm support.' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=96c571dd96b0742b069508a75716cf5ad9baa0ec'>96c571dd9</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=93149677094ffbd2ec038f3d6ec5a9aa339c8ea6'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-02-01 23:39:15 +0100
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-02-01 23:39:40 +0100

updated appveyor.yml' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=05fe52383235bc0f0435260ea2296182effdfd1b'>05fe52383</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=f04d21f2793933f9b9a54ef2d67dc277e53a0c67'>^</a>



</pre></div><div class='alt'><pre><span class='oid'><a title='author  Eugene Kabanov &lt;ka@hardcore.kiev.ua&gt;  2017-01-29 18:35:07 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-01-29 17:35:07 +0100

Appveyor integration config (#5295)' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=9f6f78ac6136a2d793fd20ca81e8cfaa8d1e1f28'>9f6f78ac6</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=d75760f5d3817ab8593a52be3d84ec74cc697cab'>^</a>






</pre></div><div class='alt'><pre><span class='oid'><a title='author  Timothee Cour &lt;timothee.cour2@gmail.com&gt;  2019-01-08 04:08:19 -0800
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2019-01-08 13:08:19 +0100

[CI] fixes #10041 move bulk of `travis` and `appveyor` logic to koch.nim (#10183)' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=c60916a2aff121fc0220f9452803a7bcfb6300d0'>c60916a2a</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=6737634d88a70a3d87774c9f51f2ac6d2bf4da4f'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Eugene Kabanov &lt;ka@hardcore.kiev.ua&gt;  2017-01-29 18:35:07 +0200
committer  Andreas Rumpf &lt;rumpf_a@web.de&gt;  2017-01-29 17:35:07 +0100

Appveyor integration config (#5295)' href='/ahoang/Nim/commit/appveyor.yml?h=devel&amp;id=9f6f78ac6136a2d793fd20ca81e8cfaa8d1e1f28'>9f6f78ac6</a></span> <a title='Blame the previous revision' href='/ahoang/Nim/blame/appveyor.yml?h=devel&amp;id=d75760f5d3817ab8593a52be3d84ec74cc697cab'>^</a>

</pre></div></td>
<td class='linenumbers'><div class='alt'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
</pre></div><div class='alt'><pre><a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
</pre></div><div class='alt'><pre><a id='n9' href='#n9'>9</a>
</pre></div><div class='alt'><pre><a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
</pre></div><div class='alt'><pre><a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
</pre></div><div class='alt'><pre><a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
</pre></div><div class='alt'><pre><a id='n27' href='#n27'>27</a>
</pre></div><div class='alt'><pre><a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
</pre></div><div class='alt'><pre><a id='n31' href='#n31'>31</a>
</pre></div><div class='alt'><pre><a id='n32' href='#n32'>32</a>
</pre></div><div class='alt'><pre><a id='n33' href='#n33'>33</a>
</pre></div><div class='alt'><pre><a id='n34' href='#n34'>34</a>
</pre></div><div class='alt'><pre><a id='n35' href='#n35'>35</a>
</pre></div><div class='alt'><pre><a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
</pre></div><div class='alt'><pre><a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
</pre></div><div class='alt'><pre><a id='n47' href='#n47'>47</a>
</pre></div><div class='alt'><pre><a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
</pre></div></td>
<td class='lines'><div><div><div class='alt'><pre>




                                              </pre></div><div class='alt'><pre>


                                                </pre></div><div class='alt'><pre>
                   </pre></div><div class='alt'><pre>







                                                                                                                                                                                                              </pre></div><div class='alt'><pre>





                                                                                                                                                                                                                  </pre></div><div class='alt'><pre>


                     </pre></div><div class='alt'><pre>
                                                                                   </pre></div><div class='alt'><pre>


                                                                                         </pre></div><div class='alt'><pre>
                                                                                                     </pre></div><div class='alt'><pre>
                                                 </pre></div><div class='alt'><pre>
                                                                                                  </pre></div><div class='alt'><pre>
                                                </pre></div><div class='alt'><pre>
                                                      </pre></div><div class='alt'><pre>



                                                                                                                                                                                                                                                                                       </pre></div><div class='alt'><pre>






                                                               </pre></div><div class='alt'><pre>
              </pre></div><div class='alt'><pre>

           </pre></div></div><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="nt">version</span><span class="p">:</span><span class="w"> </span><span class="s">&#39;{build}&#39;</span>

<span class="nt">cache</span><span class="p">:</span>
<span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">x86_64-4.9.2-release-win32-seh-rt_v4-rev4.7z</span>
<span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sqlite-dll-win64-x64-3160200.zip</span>
<span class="c1"># - i686-4.9.2-release-win32-dwarf-rt_v4-rev4.7z</span>

<span class="nt">matrix</span><span class="p">:</span>
<span class="w">  </span><span class="nt">fast_finish</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">true</span>

<span class="nt">environment</span><span class="p">:</span>
<span class="w">  </span><span class="nt">matrix</span><span class="p">:</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">MINGW_DIR</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">mingw64</span>
<span class="w">      </span><span class="nt">MINGW_URL</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">https://sourceforge.net/projects/mingw-w64/files/Toolchains%20targetting%20Win64/Personal%20Builds/mingw-builds/4.9.2/threads-win32/seh/x86_64-4.9.2-release-win32-seh-rt_v4-rev4.7z/download</span>
<span class="w">      </span><span class="nt">MINGW_ARCHIVE</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">x86_64-4.9.2-release-win32-seh-rt_v4-rev4.7z</span>
<span class="w">      </span><span class="nt">SQLITE_URL</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">http://www.sqlite.org/2017/sqlite-dll-win64-x64-3160200.zip</span>
<span class="w">      </span><span class="nt">SQLITE_ARCHIVE</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sqlite-dll-win64-x64-3160200.zip</span>
<span class="w">      </span><span class="nt">platform</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">x64</span>
<span class="w">    </span><span class="c1"># - MINGW_DIR: mingw32</span>
<span class="w">    </span><span class="c1">#   MINGW_URL: https://sourceforge.net/projects/mingw-w64/files/Toolchains%20targetting%20Win32/Personal%20Builds/mingw-builds/4.9.2/threads-win32/dwarf/i686-4.9.2-release-win32-dwarf-rt_v4-rev4.7z/download</span>
<span class="w">    </span><span class="c1">#   MINGW_ARCHIVE: i686-4.9.2-release-win32-dwarf-rt_v4-rev4.7z</span>
<span class="w">    </span><span class="c1">#   SQLITE_URL: http://www.sqlite.org/2017/sqlite-dll-win32-x86-3160200.zip</span>
<span class="w">    </span><span class="c1">#   SQLITE_ARCHIVE: sqlite-dll-win32-x86-3160200.zip</span>
<span class="w">    </span><span class="c1">#   platform: x86</span>

<span class="nt">install</span><span class="p">:</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">ps</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">Install-Product node 8</span><span class="w"> </span><span class="c1"># node 8 or later is required to test js async stuff</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">MKDIR %CD%\DIST</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">MKDIR %CD%\DIST\PCRE</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">nuget install pcre -Verbosity quiet -Version 8.33.0.1 -OutputDirectory %CD%\DIST\PCRE</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">IF not exist &quot;%SQLITE_ARCHIVE%&quot; appveyor DownloadFile &quot;%SQLITE_URL%&quot; -FileName &quot;%SQLITE_ARCHIVE%&quot;</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">7z x -y &quot;%SQLITE_ARCHIVE%&quot; -o&quot;%CD%\DIST&quot;&gt; nul</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">IF not exist &quot;%MINGW_ARCHIVE%&quot; appveyor DownloadFile &quot;%MINGW_URL%&quot; -FileName &quot;%MINGW_ARCHIVE%&quot;</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">7z x -y &quot;%MINGW_ARCHIVE%&quot; -o&quot;%CD%\DIST&quot;&gt; nul</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">SET PATH=%CD%\DIST\%MINGW_DIR%\BIN;%CD%\BIN;%PATH%</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">IF &quot;%PLATFORM%&quot; == &quot;x64&quot; ( copy C:\OpenSSL-Win64\libeay32.dll %CD%\BIN\libeay64.dll &amp; copy C:\OpenSSL-Win64\libeay32.dll %CD%\BIN\libeay32.dll &amp; copy C:\OpenSSL-Win64\libssl32.dll %CD%\BIN\libssl64.dll &amp; copy C:\OpenSSL-Win64\libssl32.dll %CD%\BIN\libssl32.dll )</span>
<span class="w">    </span><span class="l l-Scalar l-Scalar-Plain">ELSE ( copy C:\OpenSSL-Win32\libeay32.dll %CD%\BIN\libeay32.dll &amp; copy C:\OpenSSL-Win32\libssl32.dll %CD%\BIN\libssl32.dll )</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">IF &quot;%PLATFORM%&quot; == &quot;x64&quot; ( copy %CD%\DIST\sqlite3.dll %CD%\BIN\sqlite3_64.dll ) ELSE ( copy %CD%\DIST\sqlite3.dll %CD%\BIN\sqlite3_32.dll )</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">IF &quot;%PLATFORM%&quot; == &quot;x64&quot; ( copy %CD%\DIST\PCRE\pcre.redist.8.33.0.1\build\native\bin\v100\x64\Release\dynamic\utf8\pcre8.dll %CD%\bin\pcre64.dll ) ELSE ( copy %CD%\DIST\PCRE\pcre.redist.8.33.0.1\build\native\bin\v100\Win32\Release\dynamic\utf8\pcre8.dll %CD%\bin\pcre32.dll )</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">git clone --depth 1 https://github.com/nim-lang/csources</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd csources</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">IF &quot;%PLATFORM%&quot; == &quot;x64&quot; ( build64.bat ) else ( build.bat )</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd ..</span>

<span class="nt">build_script</span><span class="p">:</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">bin\nim c koch</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">koch runCI</span>

<span class="nt">deploy</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">off</span>
</pre></div>
</code></pre></div></td>
</tr>
</table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1-2-gfad0</a> (<a href='https://git-scm.com/'>git 2.36.2.497.gbbea4dcf42</a>) at 2025-02-11 15:51:49 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
